Bug 66888 - Calls to libreadline.so fail with undefined reference
Summary: Calls to libreadline.so fail with undefined reference
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: readline41   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-18 02:58 UTC by Jeffrey Culverhouse
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 18:03:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey Culverhouse 2002-06-18 02:58:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Calls to the libreadline.so fail 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Excerpeted from the standard GNU "configure":

rltest.c:


/* test of call to readline */
char readline ();
int
main ()
{
readline ();
  ;
  return 0;
}


gcc -lreadline rltest.c

Actual Results:  /usr/lib/gcc-lib/i386-redhat-
linux/2.96/../../../libreadline.so: undefined reference to `tgetnum'
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../libreadline.so: undefined 
reference to `tgoto'
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../libreadline.so: undefined 
reference to `tgetflag'
etc.

Expected Results:  [no error]

Additional info:

You can get around this problem by explicitly adding "-lcurses" to the load 
list.  This was apparently not a problem in 6.2, but is a problem in 7.1 and 
7.2.

Comment 1 Jeffrey Culverhouse 2002-06-28 04:10:21 UTC
Anyone home???

Comment 2 Tim Waugh 2003-03-10 18:03:51 UTC
That's a broken configure test.


Note You need to log in before you can comment on or make changes to this bug.